<template lang="">
    <navbar/>
  <strong
    ><h1 class="mt-8 text-3xl lg:text-4xl" align="center">
      Bienvenido Administrador
    </h1>
  </strong>
  <h1 class="text-xl lg:text-2xl mt-8 mb-12" align="center">
    Curso Seleccionado: {{ $route.params.id }}
  </h1>
  <div align="left">
    <div
      class="tooltip tooltip-primary ml-56 md:ml-64 w-10 md:w-12 mb-5"
      data-tip="Volver a seleccion del curso"
    >
      <a v-bind:href="'/ingresarCurso'">
        <img src="\src\assets\ADM_CURSOS\return.png" />
      </a>
    </div>
  </div>
  <div align="center" class="mb-8">
    <ul class="menu bg-base-100 w-56 p-2 rounded-box">
      <div class="mb-8">
        <strong
          ><h1 class="text-xl lg:text-2xl">
            Administracion de Alumnos
          </h1></strong
        >
        <li>
          <a v-bind:href="'/ingresarAlumno/' + curso">Ingresar Alumnos</a>
        </li>
        <li>
          <a v-bind:href="'/eliminarAlumno/' + curso">Eliminar Alumnos</a>
        </li>
        <li><Btn_ExportarCurso/></li>
      </div>

      <div class="mb-8">
        <strong
          ><h1 class="text-xl lg:text-2xl">
            Administracion de Asignaturas
          </h1></strong
        >
        <li>
          <a v-bind:href="'/ingresarAsignatura/' + curso"
            >Ingresar Asignaturas</a
          >
        </li>
        <li>
          <a v-bind:href="'/eliminarAsignatura/' + curso"
            >Eliminar Asignaturas</a
          >
        </li>
      </div>

      <div class="mb-8">
        <strong
          ><h1 class="text-xl lg:text-2xl">
            Administracion de Docentes Jefes
          </h1></strong
        >
        <li>
          <a v-bind:href="'/ingresarDocenteJefe/' + curso"
            >Ingresar Docentes Jefes</a
          >
        </li>
        <li>
          <a v-bind:href="'/eliminarDocenteJefe/' + curso"
            >Eliminar Docentes Jefes</a
          >
        </li>
      </div>

      <div>
        <strong
          ><h1 class="text-xl lg:text-2xl">
            Cambiar Nombre Asignatura
          </h1></strong
        >
        <li>
          <a v-bind:href="'/CambiarNombreAsignatura/' + curso"
            >Cambiar nombre</a
          >
        </li>
      </div>
    </ul>
  </div>
  <Footer/>
</template>

<script>
import axios from "axios";
import navbar from "../../components/Navbar.vue";
import Footer from "../../components/Footer.vue";
import Btn_ExportarCurso from '../../components/REPORTES/Btn_ExportarCurso.vue';
export default {
  components: {navbar,Footer,
   Btn_ExportarCurso
  },
  data() {
    return {
      curso: this.$route.params.id,
      alumnos: [],
    };
  },
  mounted() {
    let vue = this;
    axios
      .get("administracionCursos/mostrarAlumnos/1")
      .then(function (response) {
        vue.alumnos = response.data;
        console.log(vue.alumnos);
      });
  },
  methods: {
    enviarId(id, nombre, apellidoPaterno, apellidoMaterno) {
      var respuesta = confirm(
        "Ingresar al curso 1 el alumno " +
          nombre +
          " " +
          apellidoPaterno +
          " " +
          apellidoMaterno
      );
      if (respuesta) {
        axios({
          method: "PUT",
          url:
            "administracionCursos/1/asignarAlumnoCurso/" +
            id,
          idSeleccionado: id,
        })
          .then((res) =>
            alert(
              "Se ha ingresado el alumno " +
                nombre +
                " " +
                apellidoPaterno +
                " " +
                apellidoMaterno +
                " al curso 1"
            )
          )
          .catch((err) => console.log(err));
      }
    },
  },
};
</script>
